commit 347947381fe6ff56c18415223205aa0b52a02230
Author: Vincent Untz <vuntz@gnome.org>
Date:   2010-02-17

    Handle some exceptions to be a bit more flexible

    There are known exceptions like misc/ultravox that we should support.

    We should also recommend to use a valid alias instead of an invalid
    mime
    type (for example, flv-application/octet-stream should be replaced
    with
    video/x-flv).

M	src/mimeutils.c

commit be3aec1ebb3a335bc757bb4588609ca2c2722e7c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Make the invalid mime type error non-fatal for now

M	src/validate.c

commit 847c557baf630adaa03ebb8fbb179bc3dbbeb492
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Fix wrong return value in case of error

    FALSE was used instead of MU_INVALID.

M	src/mimeutils.c

commit 377e919087cf2711f31cee7c06b40401e4a70fde
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Fix warning for X- media types not showing

M	src/mimeutils.c

commit 520a9e3bb976b6877ee697ae6f6d0cc5a23b1ba5
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Handle some fdo media types correctly

    inode, x-content and x-directory are used already, and should be
    considered as special case (even though they haven't be registered
    with
    IANA).

    Note that x-directory is discouraged, though, since inode/directory
    replaces it.

M	src/mimeutils.c

commit 0a2a429ca2943f7b329d9a90f4950588a56f9f15
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Make some of the new errors non-fatal for now

    Making errors introduced in a release fatal will annoy many people.
    They're still marked as errors and will be visible (so fixable), but
    they won't make the program return 1, so people can still work.

    They should be marked as fatal after the release.

M	src/validate.c

commit baf763143043b9be48ef8dc8bf7050f418aa0bb2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Accept empty Categories key as valid

    It's really like not having the Categories key at all, which is valid.

M	src/validate.c

commit 06c29d6e1246cc63c9c0296c96ea7885f982f868
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Mark the AutostartCondition key as an Application key

M	src/validate.c

commit ca41044f3d2311ad4300cdfc864a670e7f772626
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Use g_utf8_strchr instead of strchr to be on the safe side

    Since the string can be UTF-8, it's better to make sure we look for a
    character in a UTF-8-compatible way.

M	src/validate.c

commit 2b51e462ce272dd829dc8f7bb4339b47243ee1c5
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Use G_DIR_SEPARATOR instead of '/'

M	src/validate.c

commit 31585ac26ff458159b01c6bcfcf1405e164d6448
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Handle AutostartCondition key

    While this never really made it into the autostart specification, it's
    in use now. And it was well-received when proposed, so it will
    probably
    enter the specification.

    https://bugs.freedesktop.org/show_bug.cgi?id=20627

M	src/validate.c

commit 08892f7b705b8c92aaa9b7a2872e0ded3f96f6d6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Tweak an error string

M	src/update-desktop-database.c

commit 681d5173684a8a758d913e52cc704e3dab3d562c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Improve one string for translation

    This also fix https://bugs.freedesktop.org/show_bug.cgi?id=24924 as a
    side-effect.

M	src/update-desktop-database.c

commit 2ef8bc132a15cb02e5bbb424bc79d4c1c4fad0e0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Mark all output strings as translatable

M	src/update-desktop-database.c

commit 25b0d59ab575e434f040face089e6ba83ab0b807
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Consistent use of quotes in error messages

M	src/update-desktop-database.c

commit 843e5f4cd8680f57add251c745d19ba2db38d05e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Improve error messages

    Loosely based on patch from Erik Hovland <erik@hovland.org>

    https://bugs.freedesktop.org/show_bug.cgi?id=20039

M	src/update-desktop-database.c

commit fdb63c3d0416d8d54747f14f66b635ebf241a852
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Update copyrights, and add vim modelines

M	src/install.c
M	src/keyfileutils.c
M	src/keyfileutils.h
M	src/mimeutils.c
M	src/mimeutils.h
M	src/update-desktop-database.c
M	src/validate.c
M	src/validate.h
M	src/validator.c

commit 5bc232624ba230b35d9088abdd001f15ff13055e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-17

    Fix indentation and remove trailing spaces

M	src/install.c
M	src/mimeutils.c
M	src/update-desktop-database.c
M	src/validate.c
M	src/validator.c

commit 7240dff57b6e4fd4e1a03167bab402e69356e3c7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-16

    Generate bzip2 tarballs

M	configure.in

commit abaf456abfecd26c18e4241edb40c177161487c1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-16

    Do not try to use versioned binaries of automake/aclocal

    We were trying to use binaries versioned 1.7 which is quite old
    anyway.
    Any real build system will have non-versioned binaries.

M	autogen.sh

commit 91bce492f1cddea3c43cbf9fbbf136d87d8c9acb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-16

    Add a DOAP file

A	desktop-file-utils.doap

commit d7b231ad854a4695e2261d87910b148f80c9af33
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-16

    Remove .cvsignore files

D	.cvsignore
D	misc/.cvsignore
D	src/.cvsignore

commit 4dd06da006711e69de7a76f1ea799e446f95dc78
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-16

    Put commit message guidelines in ChangeLog

M	ChangeLog
C100	ChangeLog	ChangeLog.pre-git

commit 07a6e2688bfaba6872ca1495fffbd7bbe17022d3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-16

    Use git.mk from pango to autogenerate .gitignore files

M	Makefile.am
A	git.mk
M	misc/Makefile.am
M	src/Makefile.am

commit 1ca85988dec761535699d3cb14ba8a551411a4d6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-07-21

    use AM_SILENT_RULES if available for a quiet build

    2009-07-21	Vincent Untz  <vuntz@gnome.org>

	* configure.in: use AM_SILENT_RULES if available for a quiet build
	* configure.in:
	* Makefile.am: use the m4 directory as macro dir

M	.cvsignore
M	ChangeLog
M	Makefile.am
M	configure.in

commit 54e7d80e9dc2042ce0331cf65af2fb85c2960962
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-01-10

    add "warning" to the error strings that are output when fixing
    the desktop

    2009-01-10	Vincent Untz  <vuntz@gnome.org>

	* src/validate.c: (desktop_file_fixup): add "warning" to the error
	strings that are output when fixing the desktop file so that
	people can
	learn about the errors and directly fix them.
	Fix bug #18206.

M	ChangeLog
M	src/validate.c

commit db8e1039fbd4e9e9e23273bb49ea9922dd8d595c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-01-10

    add LXDE in the list of registered OnlyShowIn values.

    2009-01-10	Vincent Untz  <vuntz@gnome.org>

	* src/validate.c: add LXDE in the list of registered OnlyShowIn
	values.

M	ChangeLog
M	src/validate.c

commit b8f66b528a0d6b5c64140304f39b50a01497e846
Author: Vincent Untz <vuntz@gnome.org>
Date:	2008-12-10

    fix warning in a comment

    2008-12-10	Vincent Untz  <vuntz@gnome.org>

	* src/mimeutils.c: fix warning in a comment

M	ChangeLog
M	src/mimeutils.c

commit 8fa7b28e36a81d74b671339bbbdde11a6ded2c98
Author: Vincent Untz <vuntz@gnome.org>
Date:	2008-04-27

    Be stricter for the MIME type check. It's actually a bit too strict
    right

    2008-04-28	Vincent Untz  <vuntz@gnome.org>

	Be stricter for the MIME type check. It's actually a bit too
	strict
	right now, see the TODO at the beginning of mimeutils.c to know
	how to
	improve things a bit.

	* src/Makefile.am:
	* src/mimeutils.[ch]: add new files
	* src/update-desktop-database.c: (process_desktop_file): use the
	improved mu_mime_type_is_valid() function instead of
	is_valid_mime_type()
	* src/validate.c: (handle_mime_key): use the improved
	mu_mime_type_is_valid() function instead of a trivial check

M	ChangeLog
M	src/Makefile.am
A	src/mimeutils.c
A	src/mimeutils.h
M	src/update-desktop-database.c
M	src/validate.c

commit 3425eaf5d0e55c4e1c853f6af6e846c7763ba48a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2008-04-26

    check that the Comment does not look like the Name of the GenericName

    2008-04-26	Vincent Untz  <vuntz@gnome.org>

	* src/validate.c: (handle_comment_key): check that the Comment
	does not
	look like the Name of the GenericName
	(validate_keys_for_current_group): instead of storing only the
	information that a group contain a key, also link to the content
	of the
	key. Also report the error of multiple keys with the same name the
	first time we have a key (instead of the second time).
	Plug a small leak.

M	ChangeLog
M	src/validate.c

commit 834fdc1f65043704962dcf26b9aa5194338eec91
Author: Vincent Untz <vuntz@gnome.org>
Date:	2008-04-26

    make a few more structure static, change the way we store data
    about the

    2008-04-26	Vincent Untz  <vuntz@gnome.org>

	* src/validate.c: make a few more structure static, change the
	way we
	store data about the know catgories so that we have more
	information
	(like dependencies)
	(handle_categories_key): updated for the previous change. We now
	additionally check that categories required by another one
	are present.
	Fix bug #15672.
	* src/validator.c: init warn_kde to FALSE. Fix the "warnings
	about KDE
	specific uses are always shown" bug.

M	ChangeLog
M	src/validate.c
M	src/validator.c

commit b2c108e4782a25545aa57c9d8add5c4ab01801cc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2008-04-26

    at least one main category must be included in the Categories. Output
    an

    2008-04-26	Vincent Untz  <vuntz@gnome.org>

	* src/validate.c: (handle_categories_key): at least one main
	category
	must be included in the Categories. Output an error if it's
	not the
	case.

M	ChangeLog
M	src/validate.c

commit 83e6050a2501379a7709379e9dfdf656738a7148
Author: Vincent Untz <vuntz@gnome.org>
Date:	2008-03-06

    don't unlink the destination file if it's the same as the source
    file in

    2008-03-06	Vincent Untz  <vuntz@gnome.org>

	* src/install.c: (process_one_file): don't unlink the destination
	file
	if it's the same as the source file in case of errors.
	Fix bug #14851.

M	ChangeLog
M	src/install.c

commit 32ee3cdb6fa4a19fb3c42943fe9d2040560a2232
Author: Vincent Untz <vuntz@gnome.org>
Date:	2008-02-11

    post-release bump to 0.16

    2008-02-11	Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 0.16

M	ChangeLog
M	configure.in

commit 173011c1a206d83d8a1e7b4032ba68c49a440b52
Author: Vincent Untz <vuntz@gnome.org>
Date:	2008-02-11

    version 0.15

    2008-02-11	Vincent Untz  <vuntz@gnome.org>

	* NEWS: version 0.15

M	ChangeLog
M	NEWS

commit 19efaabf2b610205b1e93489e3084e3d62bc54b7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2008-02-05

    Fix crash with really small lines that are invalid, like just
    "a". Fox bug

    2008-02-05	Vincent Untz  <vuntz@gnome.org>

	Fix crash with really small lines that are invalid, like just "a".
	Fox bug #14386.

	* src/validate.c: (validate_line_looks_like_group): only return
	something in *group if the group argument is not NULL, and if
	the line
	is actually a group one
	(validate_parse_line): ensure we pass NULL initial values to some
	functions, and don't leak key and value when processing a
	key-value
	line before the first group

M	ChangeLog
M	src/validate.c

commit b4fa107d134594bd02cce266be09cd68de0a9d3d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2008-01-20

    don't get the MimeType key from the first start group (which might not

    2008-01-20	Vincent Untz  <vuntz@gnome.org>

	* src/update-desktop-database.c: (process_desktop_file): don't
	get the
	MimeType key from the first start group (which might not exist),
	but
	from the Desktop Entry group
	Fix GNOME bug #509526.
	* src/validate.c: (handle_icon_key): mention that Ray's change is
	temporary

M	ChangeLog
M	src/update-desktop-database.c
M	src/validate.c

commit c6b970d37acd2882adb538e9d1723ed661d0ca94
Author: Ray Strode <rstrode@redhat.com>
Date:	2007-12-14

    Consider icon names with extensions a warning and not an error
    for now.

    2006-11-07	Ray Strode  <rstrode@redhat.com>

	* src/validate.c: Consider icon names with extensions a
	warning and not an error for now.

M	ChangeLog
M	src/validate.c

commit b589d7e7d731ecb948c8e91077110c9e09707276
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-09-01

    post-release bump to 0.15

    2007-09-01	Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 0.15

M	ChangeLog
M	configure.in

commit a09004c7102dfda947fb48078e749a81373f147e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-09-01

    version 0.14

    2007-09-01	Vincent Untz  <vuntz@gnome.org>

	* NEWS: version 0.14

M	ChangeLog
M	NEWS

commit 4c0877d7e6d832754064d6613eed69edbd5626e4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-09-01

    small improvements

    2007-09-01	Vincent Untz  <vuntz@gnome.org>

	* README: small improvements

M	ChangeLog
M	README

commit e08e4ea54ab1c90475f4a52bee98e234e7c79d1a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-09-01

    validate the desktop file after modifying its content, but before
    doing

    2007-09-01	Vincent Untz  <vuntz@gnome.org>

	* src/install.c: (process_one_file): validate the desktop
	file after
	modifying its content, but before doing anything else, so that we
	don't unlink the original file if the created one is not valid.
	Also, unlink the created file if it's not valid.

M	ChangeLog
M	src/install.c

commit c7d783c84eec8d07049ab01988e4da43559ce80f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-09-01

    Don't exit(), but let the main() function do it with a proper error

    2007-09-01	Vincent Untz  <vuntz@gnome.org>

	Don't exit(), but let the main() function do it with a proper
	error
	message.

	* src/install.c: (files_are_the_same): it's useless to exit()
	here if
	we can't stat() the files. Just continue the operations without
	removing the original file, that's the best option.
	(process_one_file): don't exit(), but set the GError

M	ChangeLog
M	src/install.c

commit 740682d75b9ea0cb2934b26f4730c0171f497cb6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-09-01

    require glib 2.8.0 kill (main): directly use g_mkdir_with_parents()

    2007-09-01	Vincent Untz  <vuntz@gnome.org>

	* configure.in: require glib 2.8.0
	* src/install.c: (mkdir_and_parents): kill
	(main): directly use g_mkdir_with_parents()

M	ChangeLog
M	configure.in
M	src/install.c

commit 5acb0c711dff9406bffdeb62427b3be004cc14f9
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-09-01

    simplify the code with a macro (parse_options_callback): if

    2007-09-01	Vincent Untz  <vuntz@gnome.org>

	* src/install.c: (process_one_file): simplify the code with
	a macro
	(parse_options_callback): if --add-category="GNOME;GTK" is
	passed as
	argument, parse the list of categories instead of assuming
	the user
	only gave one category.
	Fix bug #12207.

M	ChangeLog
M	src/install.c

commit 532f7f7e30d54bf87f93ffa66dd503b8bff70e0c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-08-18

    handle -m too. Fix bug #12018. Patch by Matthias Clasen

    2007-08-18	Vincent Untz  <vuntz@gnome.org>

	* src/install.c: (parse_options_callback): handle -m too.
	Fix bug #12018.
	Patch by Matthias Clasen <mclasen@redhat.com>

M	ChangeLog
M	src/install.c

commit cf94986afb2eeb2ff0294e4448980f4030880a9e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-08-18

    Handle X-Foo in environments. Based on patch by Stanislav Brabec

    2007-08-18	Vincent Untz  <vuntz@gnome.org>

	Handle X-Foo in environments.
	Based on patch by Stanislav Brabec <sbrabec@suse.cz>.
	Fix bug #11565.

	* src/validate.c: (handle_show_in_key): handle "X-Foo" and
	change the
	error message to mention X-
	(handle_categories_key): change a bit the error message to
	mention X-

M	ChangeLog
M	src/validate.c

commit 9dec6ec674c88c9a8a6ab4aa9e71e3d9075faf22
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-07-27

    new, checks that the value is either an absolute path to a file,
    or that

    2007-07-27	Vincent Untz  <vuntz@gnome.org>

	* src/validate.c: (handle_icon_key): new, checks that the value is
	either an absolute path to a file, or that the value looks like an
	icon name without an extension (png, xpm or svg). Rejects relative
	pathes too.

M	ChangeLog
M	src/validate.c

commit 5052214fbc3702cbd9aa6911890b8bd155674fbd
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-07-08

    pass the GError to g_key_file_load_from_file(), so we know when
    we can't

    2007-07-08	Vincent Untz  <vuntz@gnome.org>

	* src/install.c: (process_one_file): pass the GError to
	g_key_file_load_from_file(), so we know when we can't load a
	file and
	print an error about this. Fix bug #11500.

M	ChangeLog
M	src/install.c

commit 0d4df0787ab377628575e5eff01bb16bc46300e3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-06-30

    updated to desktop entry spec 1.0. Patch by Ville Skyttä

    2007-06-30	Vincent Untz  <vuntz@gnome.org>

	* misc/desktop-entry-mode.el: updated to desktop entry spec 1.0.
	Patch by Ville Skyttä <ville.skytta@iki.fi>

M	ChangeLog
M	misc/desktop-entry-mode.el

commit 352e54d67ec2c156800a771e1f42e2a48f873776
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-06-04

    post-release bump to 0.14

    2007-06-05	Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 0.14

M	ChangeLog
M	configure.in

commit 4687bbc89ea9a3f01fa47452aaa4c3d825aab5e5
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-06-04

    version 0.13

    2007-06-05	Vincent Untz  <vuntz@gnome.org>

	* NEWS: version 0.13

M	ChangeLog
M	NEWS

commit c8e0949e5b24de6f343ed302c59be06116f5a14e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-06-04

    add myself update URL of the desktop entry spec

    2007-06-05	Vincent Untz  <vuntz@gnome.org>

	* AUTHORS: add myself
	* src/validator.c: (main): update URL of the desktop entry spec

M	AUTHORS
M	ChangeLog
M	src/validator.c

commit 80a1c932b9e90caaf75857a3dd8ebfcd77fa93a5
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-06-04

    check if we have a vendor name before using it (main): fix bug when no

    2007-06-04	Vincent Untz  <vuntz@gnome.org>

	* src/install.c: (process_one_file): check if we have a vendor
	name
	before using it
	(main): fix bug when no vendor name or target dir is specified
	(we'd
	use an empty string in this case), don't require vendor name
	Fix bug #9988

M	ChangeLog
M	src/install.c

commit 14f6fe3f1eb4699d5020e2b4ea729419b898abc2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-06-04

    Don't use GKeyFile in the validator, so we really control everything.

    2007-06-04	Vincent Untz  <vuntz@gnome.org>

	Don't use GKeyFile in the validator, so we really control
	everything.

	* src/validate.c: remove some FIXME/TODO
	(validate_string_key): use g_ascii_iscntrl() instead of
	!g_ascii_isprint(), small update for the current group
	(validate_localestring_key): small update for the current group,
	don't
	use GKeyFile
	(validate_boolean_key): small update for the current group
	(validate_numeric_key): ditto
	(validate_string_regexp_list_key): use g_ascii_iscntrl()
	instead of
	!g_ascii_isprint(), small update for the current group
	(handle_type_key): small update for the current group
	(handle_version_key): ditto
	(handle_show_in_key): ditto
	(handle_exec_key): ditto
	(handle_path_key): ditto
	(handle_mime_key): ditto
	(handle_categories_key): small update for the current group, don't
	use GKeyFile
	(handle_actions_key): ditto
	(handle_dev_key): ditto
	(handle_mountpoint_key): ditto
	(handle_encoding_key): ditto
	(validate_desktop_key): ditto, the value is an argument now
	(validate_keys_for_current_group): renamed from
	validate_keys_for_group(), small update for the current group,
	don't
	use GKeyFile and build a hashtable of all the keys in the current
	group, also don't validate the key for Desktop Entry groups if the
	name of the key couldn't be validated since this means we'll get
	another error
	(validate_group_name): use g_ascii_iscntrl() instead of
	!g_ascii_isprint()
	(validate_groups_and_keys): killed
	(validate_required_keys): don't use GKeyFile
	(validate_line_is_comment): new
	(validate_line_looks_like_group): new
	(validate_line_looks_like_entry): new
	(validate_parse_line): new
	(validate_parse_data): new (inspired from gkeyfile.c)
	(validate_flush_parse_buffer): new (inspired from gkeyfile.c)
	(validate_parse_from_fd): new (inspired from gkeyfile.c)
	(validate_load_and_parse): new (inspired from gkeyfile.c)
	(groups_hashtable_free): new
	(desktop_file_validate): updated
	(desktop_file_fixup): small update to avoid confusion
	* src/validator.c: (main): fix leak

M	ChangeLog
M	src/validate.c
M	src/validator.c

commit 4aab76b0fb470a1fcda17a6458ce210d44548478
Author: Vincent Untz <vuntz@gnome.org>
Date:	2007-03-15

    remove mention of desktop-menu-tool kill, was useless and deprecated

    2007-03-15	Vincent Untz  <vuntz@gnome.org>

	* README: remove mention of desktop-menu-tool
	* acconfig.h: kill, was useless and deprecated

	* src/eggintl.h: kill, was useless since quite some time

	* autogen.sh:
	* configure.in: updated because of src/desktop_file.h removal

	* src/Makefile.am: updated for file removals/additions
	* src/desktop_file.[ch]: removed. We don't use this anymore
	(it was
	based on GnomeDesktopItem which nobody maintains and is too
	complex
	for what we need)
	* keyfileutils.[ch]: new, contains some useful functions based on
	GKeyFile
	* src/install.c: updated for changes (GnomeDesktopFile ->
	GKeyFile)
	(process_one_file): ditto
	also, improves a bit the --help output
	* src/validate.[ch]: pretty much a rewrite. This is based
	on GKeyFile
	for now, but it'll be moved to a small parser soon, so we are not
	limited because of the GKeyFile parser. The validator verifies
	more
	things, warns about usage of deprecated stuff, and contains
	some other
	nice improvements. It probably contains some bugs, though.
	* src/validator.c: updated (well, rewritten, since it's only the
	main() function). We also now have some command line arguments:
	--warn-kde to warn about usage of KDE reserved stuff
	--no-warn-deprecated to not warn about usage of deprecated stuff

M	ChangeLog
M	README
D	acconfig.h
M	autogen.sh
M	configure.in
M	src/Makefile.am
D	src/desktop_file.c
D	src/desktop_file.h
D	src/eggintl.h
M	src/install.c
A	src/keyfileutils.c
A	src/keyfileutils.h
M	src/validate.c
M	src/validate.h
M	src/validator.c

commit 818536c358d110f695c68566a23d393a19d71904
Author: Ray Strode <rstrode@redhat.com>
Date:	2006-11-08

    post-release bump to 0.13.

    2006-11-08	Ray Strode  <rstrode@redhat.com>

	* configure.in: post-release bump to 0.13.

M	ChangeLog
M	configure.in

commit 521e2e104b12fa993083b97ebb26602a00030af9
Author: Ray Strode <rstrode@redhat.com>
Date:	2006-11-08

    update news file

    2006-11-08	Ray Strode  <rstrode@redhat.com>

	* NEWS: update news file

M	ChangeLog
M	NEWS

commit 5424a4d0ea07609d863c29db01f59aab16352272
Author: Ray Strode <rstrode@redhat.com>
Date:	2006-11-07

    If a desktop file contains "Applications" instead of "Application"
    make

    2006-11-07	Ray Strode  <rstrode@redhat.com>

	* src/validate.c: If a desktop file contains
	"Applications" instead of "Application" make the warning
	reflect that.

M	ChangeLog
M	src/validate.c

commit 46a49431585b61d3190cd19e7b16c6ff1179485b
Author: Ray Strode <rstrode@redhat.com>
Date:	2006-11-07

    Print a warning instead of an error if categories aren't defined
    by the

    2006-11-07	Ray Strode  <rstrode@redhat.com>

	* src/validate.c: Print a warning instead of an error
	if categories aren't defined by the spec.  Give special
	handling to the "Application" category since it's not
	defined by the spec, but is in wide use, and can be
	translated to one of the "main categories". (gnome bug
	343799 comment 8)

M	ChangeLog
M	src/validate.c

commit 56dc8a2254fbaa8c7688594f59f841e444263208
Author: Ray Strode <rstrode@redhat.com>
Date:	2006-11-07

    Validate keywords as localestrings instead of strings (red hat bug

    2006-11-07	Ray Strode  <rstrode@redhat.com>

	* src/validate.c: Validate keywords as localestrings
	 instead of strings (red hat bug 172423).  Patch from
	 Ville Skyttä <ville.skytta@iki.fi>

M	ChangeLog
M	src/validate.c

commit 0d12a284aa29366c367ae9f7baea154b0350b177
Author: Ray Strode <rstrode@redhat.com>
Date:	2006-11-07

    update categories to match the latest version of the desktop menu

    2006-11-07	Ray Strode  <rstrode@redhat.com>

	* src/validate.c: update categories
	to match the latest version of the desktop menu
	specification, and reorder to make it easier to resync
	in the future.	Patch from
	Ville Skyttä <ville.skytta@iki.fi> (red hat bug 212705)

M	ChangeLog
M	src/validate.c

commit a594d4d44a10cec75bbc298303490e1bb51827b8
Author: Ray Strode <rstrode@redhat.com>
Date:	2006-11-07

    apply fixes from Ville Skyttä <ville.skytta@iki.fi> to match
    the latest

    2006-11-07	Ray Strode  <rstrode@redhat.com>

	* misc/desktop-entry-mode.el: apply fixes
	from Ville Skyttä <ville.skytta@iki.fi> to match the
	latest version of the spec
